View Issue Details

IDProjectCategoryView StatusLast Update
0004372Talermerchant frontend (blog)public2016-10-11 17:28
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004372: error handling: blank page if payment takes too long
DescriptionOn the merchant's web page, there is no indication that we're waiting for the payment to be processed, and nothing is displayed if the request times out.
TagsNo tags attached.

Relationships

child of 0003800 closedFlorian Dold Error handling 

Activities

Marcello Stanisci

2016-07-04 13:21

manager   ~0010964

http://stackoverflow.com/questions/1523686/timeout-xmlhttprequest

Marcello Stanisci

2016-07-04 15:51

manager   ~0010968

implemented in 258f7aa26301f2 (web-common side). Frontends need to registrer their own callbacks

Marcello Stanisci

2016-07-04 18:39

manager   ~0010969

reduce flickering when showing in-wallet pages, and merge feature branch

Marcello Stanisci

2016-07-05 14:34

manager   ~0010970

fixed in 28ffd5715

Issue History

Date Modified Username Field Change
2016-04-06 18:03 Florian Dold New Issue
2016-04-07 09:24 Christian Grothoff Product Version => 0.0
2016-04-07 09:24 Christian Grothoff Target Version => 0.1
2016-04-07 14:58 Florian Dold Relationship added child of 0003800
2016-05-04 15:50 Christian Grothoff Status new => acknowledged
2016-05-26 21:59 Christian Grothoff Assigned To => Marcello Stanisci
2016-05-26 21:59 Christian Grothoff Status acknowledged => assigned
2016-07-04 13:21 Marcello Stanisci Note Added: 0010964
2016-07-04 15:51 Marcello Stanisci Note Added: 0010968
2016-07-04 18:39 Marcello Stanisci Note Added: 0010969
2016-07-05 14:34 Marcello Stanisci Note Added: 0010970
2016-07-05 14:34 Marcello Stanisci Status assigned => resolved
2016-07-05 14:34 Marcello Stanisci Resolution open => fixed
2016-09-26 13:51 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed